﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DPO7104: (1 yr) VER IEEE /9500/1100+1Hd,LFCTR
DATE:                  2017-07-24 08:11:56
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       307
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9520 on channel 1
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#        1 ea. BNC attenuator, 2X (6 dB)
#        1 ea. BNC power splitter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         1GH                          1Vpp           LS    S  L
  1.003  9500         500mVpp                      5kH            FE    S  L
  1.004  IEEE         [@LFCTR]
  1.005  ENDIF

  1.006  MATH         @Bandwidth = 1E+9; @NumChan = 4; @MultiHd = 0

  1.007  ASK-   R   Q N              P                            A        V

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  TARGET
  1.017  DISP         Ensure a minimum DUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  CALL         Sub Tek DPO7000 Setup IEEE
  1.019  CALL         Sub DUT Connection GPIB

  1.020  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.021  MATH         @DUT_Model        = "DPO7104"
  1.022  MATH         @DUT_AssetNum     = UUT()

  1.023  IF           NOT(EMPTY(@DUT_AssetNum))
  1.024  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.025  ENDIF

  1.026  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.027  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.028  JMPL         END                             @Abort
  1.029  CALL         Sub Tek DPO7000 Check Firmware Version
  1.030  JMPL         END                             @Abort

  1.031  IEEE2        *RST

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to review the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.035  DISP         - 1 ea. BNC Shorting Cap (f)
  1.035  DISP         - 1 ea. BNC attenuator, 2X (6 dB)
  1.035  DISP         - 1 ea. BNC power splitter
  1.036  ENDIF

  1.037  OPBR         -z Do you want to review the list of flexible standards,
  1.037  OPBR         additional equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  DISP         The indicated minimum use specifications must be
  1.039  DISP         satisfied when configuring the following devices
  1.039  DISP         as flexible standards:
  1.040  DISP
  1.040  DISP         LF Counter (LFCTR):
  1.040  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.040  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.040  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.040  DISP         [32] or equivalent

  1.041  DISP         Additional equipment/accessories required:
  1.041  DISP
  1.041  DISP         - Frequency Standard, suitable for use with configured
  1.041  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.041  DISP         [32] PM9678B option or equivalent (if required)
  1.042  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.043  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.044  JMPL         END                           @Abort
  1.045  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.046  JMPL         END                           @Abort

  1.047  DISP         Click the X (close) button to exit the instrument
  1.047  DISP         calibration control window.

  1.048  OPBR         -z The purpose of functional tests are to confirm the
  1.048  OPBR         DUT functions properly; that is, they verify the DUT
  1.048  OPBR         features operate. They do not verify that they operate
  1.048  OPBR         within limits. If more extensive confirmation of
  1.048  OPBR         performance is desired, please execute the full
  1.048  OPBR         performance test.
  1.048  OPBR
  1.048  OPBR         Do you want to execute the functional tests?

  1.049  IF           MEM1
  1.050  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.051  ENDIF

  1.052  MATH         @Chan = 1
  1.053  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.054  JMPL         BW_CH1

  1.055  LABEL        DCV_CH2
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.058  JMPL         BW_CH2

  1.059  LABEL        DCV_CH3
  1.060  MATH         @Chan = 3
  1.061  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.062  JMPL         BW_CH3

  1.063  LABEL        DCV_CH4
  1.064  MATH         @Chan = 4
  1.065  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.066  JMPL         BW_CH4

  1.067  LABEL        BW_CH1
  1.068  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /9500/1100
  1.069  JMPL         TIME_QUALIFIED

  1.070  LABEL        BW_CH2
  1.071  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /9500/1100
  1.072  JMPL         TRIGGER_CH2_50MHz

  1.073  LABEL        BW_CH3
  1.074  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /9500/1100
  1.075  JMPL         TRIGGER_CH3_50MHz

  1.076  LABEL        BW_CH4
  1.077  CALL         Sub Tek DPO7104 (1 yr) Bandwidth VER IEEE /9500/1100
  1.078  JMPL         TRIGGER_CH4_50MHz

  1.079  LABEL        TIMEBASE_ACCURACY
  1.080  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.081  JMPL         AUX_TRIGGER_OUT

  1.082  LABEL        TIMEBASE_REF
  1.083  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /9500
  1.084  JMPL         DCV_CH2

  1.085  LABEL        DELTA_CH1
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.088  MATH         @Chan = 2
  1.089  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.090  MATH         @Chan = 3
  1.091  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.092  MATH         @Chan = 4
  1.093  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500

  1.094  DISP         Remove all connections.
  1.095  JMPL         TRIGGER_CH1_AUX_IN_50MHz

  1.096  LABEL        TIME_QUALIFIED
  1.097  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /9500

# -----  Trigger Sensitivity Ch 1  ------------------------------------------

  1.098  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.099  JMPL         TRIGGER_CH1_FULL_BW

  1.100  LABEL        TRIGGER_CH1_AUX_IN_50MHz
  1.101  MATH         @Chan = 1
  1.102  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.103  JMPL         TRIGGER_CH2_AUX_IN_50MHz

  1.104  LABEL        TRIGGER_CH1_FULL_BW
  1.105  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /9500/1100
  1.106  JMPL         TIMEBASE_REF

  1.107  LABEL        TRIGGER_CH1_AUX_IN_250MHz
  1.108  MATH         @Chan = 1
  1.109  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.110  JMPL         TRIGGER_CH2_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 2  ------------------------------------------

  1.111  LABEL        TRIGGER_CH2_50MHz
  1.112  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.113  JMPL         TRIGGER_CH2_FULL_BW

  1.114  LABEL        TRIGGER_CH2_AUX_IN_50MHz
  1.115  MATH         @Chan = 2
  1.116  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.117  JMPL         TRIGGER_CH3_AUX_IN_50MHz

  1.118  LABEL        TRIGGER_CH2_FULL_BW
  1.119  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /9500/1100
  1.120  JMPL         DCV_CH3

  1.121  LABEL        TRIGGER_CH2_AUX_IN_250MHz
  1.122  MATH         @Chan = 2
  1.123  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.124  JMPL         TRIGGER_CH3_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 3 ------------------------------------------

  1.125  LABEL        TRIGGER_CH3_50MHz
  1.126  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.127  JMPL         TRIGGER_CH3_FULL_BW

  1.128  LABEL        TRIGGER_CH3_AUX_IN_50MHz
  1.129  MATH         @Chan = 3
  1.130  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.131  JMPL         TRIGGER_CH4_AUX_IN_50MHz

  1.132  LABEL        TRIGGER_CH3_FULL_BW
  1.133  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /9500/1100
  1.134  JMPL         DCV_CH4

  1.135  LABEL        TRIGGER_CH3_AUX_IN_250MHz
  1.136  MATH         @Chan = 3
  1.137  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.138  JMPL         TRIGGER_CH4_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 4  ------------------------------------------

  1.139  LABEL        TRIGGER_CH4_50MHz
  1.140  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.141  JMPL         TRIGGER_CH4_FULL_BW

  1.142  LABEL        TRIGGER_CH4_AUX_IN_50MHz
  1.143  MATH         @Chan = 4
  1.144  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.145  JMPL         TRIGGER_CH1_AUX_IN_250MHz

  1.146  LABEL        TRIGGER_CH4_FULL_BW
  1.147  CALL         Sub Tek DPO7104 (1 yr) Trig Full BW VER IEEE /9500/1100

  1.148  DISP         Remove all connections.
  1.149  JMPL         DELTA_CH1

  1.150  LABEL        TRIGGER_CH4_AUX_IN_250MHz
  1.151  MATH         @Chan = 4
  1.152  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.153  DISP         Remove all connections.
  1.154  JMPL         TIMEBASE_ACCURACY

  1.155  LABEL        AUX_TRIGGER_OUT
  1.156  MATH         @Chan = 1
  1.157  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.158  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /9500

  1.159  LABEL        END
  1.160  IEEE2        *RST[GTL]

  1.161  IF           @Abort
  1.162  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.163  ENDIF

  1.164  END
